### Method

# Gtk ListStoreset_valuesv

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_set_valuesv (
      GtkListStore* list_store,
      GtkTreeIter* iter,
      int* columns,
      GValue* values,
      int n_values
    )

#### Description [src]

A variant of `gtk_list_store_set_valist()` which takes the columns and values as two arrays, instead of varargs. This function is mainly intended for language-bindings and in case the number of columns to change is not known until run-time.

Deprecated since: 4.10

Use list models.

This method is renamed to `gtk_list_store_set()` in language bindings

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` for the row being modified.

  The data is owned by the caller of the method.

`columns`

  Type: An array of `int`

  An array of column numbers.

  The length of the array is specified in the `n_values` argument.
  The data is owned by the caller of the method.

`values`

  Type: An array of `GValue`

  An array of GValues.

  The length of the array is specified in the `n_values` argument.
  The data is owned by the caller of the method.

`n_values`

  Type: `int`

  The length of the `columns` and `values` arrays.